-----------------------------------------------------------------------
-- Instantiation of a ngc  file
-- 32/32 pipelined divider
--
-----------------------------------------------------------------------
library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_arith.all;
use IEEE.std_logic_unsigned.all;
Library UNISIM;
use UNISIM.vcomponents.all;

entity div_nr_inst is
    port (
      A : IN std_logic_vector(31 downto 0);
      B : IN std_logic_vector(31 downto 0);
      clk : IN std_logic;
      Q : OUT std_logic_vector(31 downto 0);
      R : OUT std_logic_vector(31 downto 0)
     );
end div_nr_inst;

architecture inst_arch of div_nr_inst is

    COMPONENT div_nr_pipe_lowlev
    PORT(
      A : IN std_logic_vector(31 downto 0);
      B : IN std_logic_vector(31 downto 0);
      clk : IN std_logic;
      Q : OUT std_logic_vector(31 downto 0);
      R : OUT std_logic_vector(31 downto 0)
      );
    end component;

begin

  Inst_div: div_nr_pipe_lowlev PORT MAP(
      A => A, B => B,
      clk => clk, 
      Q => Q, R => R );
  
end inst_arch;


